<?php
final class Trabalhos extends Record{ 

    const TABLE = 'trabalhos';
    const PK = 'id';
    
    /**
    * Configurações e filtros globais do modelo
    * @return Criteria $criteria
    */
    public static function configure(){
        # $criteria = new Criteria();
        # return $criteria;
    }
    
    /**
    * Trabalhos possui Correcaotrabalhos
    * @return array de Correcaotrabalhos
    */
    function getCorrecaotrabalhos($criteria=NULL) {
        return $this->hasMany('Correcaotrabalho','idTrabalho',$criteria);
    }
    
    /**
    * Trabalhos pertence a Area
    * @return Area $Area
    */
    function getArea() {
        return $this->belongsTo('Area','area');
    }
    
    /**
    * Trabalhos pertence a Inscricao
    * @return Inscricao $Inscricao
    */
    function getInscricao() {
        return $this->belongsTo('Inscricao','idAluno');
    }
    
    /**
    * Trabalhos pertence a Situacao
    * @return Situacao $Situacao
    */
    function getSituacao() {
        return $this->belongsTo('Situacao','situacao');
    }
}